sayren Docs
카테고리

카테고리 수정

PATCH
/v1/categories/{categoryId}
AuthorizationBearer <token>

userToken(계정 스코프) 또는 storeToken(스토어 스코프)

In: header

Path Parameters

categoryId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name?string
Length1 <= length <= 100
parentId?string|null
sortOrder?integer
visible?boolean
showPc?boolean
showMobile?boolean
productSort?string

Value in

  • "RECENT"
  • "POPULAR"
  • "PRICE_LOW"
  • "PRICE_HIGH"
  • "NAME"
metaTitle?|
Lengthlength <= 100
metaDescription?|
Lengthlength <= 300
metaKeywords?|
Lengthlength <= 200

Response Body

application/json

curl -X PATCH "https://example.com/v1/categories/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "categoryId": "string",    "storeId": "string",    "name": "string",    "parentId": "string",    "path": "string",    "depth": 1,    "leaf": true,    "sortOrder": 0,    "visible": true,    "showPc": true,    "showMobile": true,    "productSort": "RECENT",    "metaTitle": "string",    "metaDescription": "string",    "metaKeywords": "string",    "createdAt": "string",    "updatedAt": "string"  },  "error": null}